org.modeshape.jcr.query.model

## Class Visitors.AbstractVisitor

- java.lang.Object
- - org.modeshape.jcr.query.model.Visitors.AbstractVisitor

- All Implemented Interfaces:
    Visitor
  Direct Known Subclasses:
    PlanUtil.RequiredColumnVisitor, Validator
  Enclosing class:
    Visitors

      public static class Visitors.AbstractVisitor
      extends Object
      implements Visitor

  A common base class for all visitors, which provides no-op implementations for all `visit(...)` methods. Visitor implementations can subclass and implement only those methods that they need to implement.

  This is often an excellent base class for strategy visitors, which simply are `Visitor` implementations that are responsible only for visiting the supplied object but that never call `Visitable.accept(Visitor)`. Such strategy visitors can be used in conjunction with separate `navigation visitors` that do the job of navigating the Visitable objects and, for each, delegating to the strategy visitor. See `Visitors.visitAll(Visitable, Visitor)` for an example.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Visitors.AbstractVisitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(AllNodes obj)`
    `void` | `visit(And obj)`
    `void` | `visit(ArithmeticOperand obj)`
    `void` | `visit(Between obj)`
    `void` | `visit(BindVariableName obj)`
    `void` | `visit(ChildCount obj)`
    `void` | `visit(ChildNode obj)`
    `void` | `visit(ChildNodeJoinCondition obj)`
    `void` | `visit(Column obj)`
    `void` | `visit(Comparison obj)`
    `void` | `visit(DescendantNode obj)`
    `void` | `visit(DescendantNodeJoinCondition obj)`
    `void` | `visit(EquiJoinCondition obj)`
    `void` | `visit(FullTextSearch obj)`
    `void` | `visit(FullTextSearchScore obj)`
    `void` | `visit(Join obj)`
    `void` | `visit(Length obj)`
    `void` | `visit(Limit limit)`
    `void` | `visit(Literal obj)`
    `void` | `visit(LowerCase obj)`
    `void` | `visit(NamedSelector obj)`
    `void` | `visit(NodeDepth obj)`
    `void` | `visit(NodeId obj)`
    `void` | `visit(NodeLocalName obj)`
    `void` | `visit(NodeName obj)`
    `void` | `visit(NodePath obj)`
    `void` | `visit(Not obj)`
    `void` | `visit(Or obj)`
    `void` | `visit(Ordering obj)`
    `void` | `visit(PropertyExistence obj)`
    `void` | `visit(PropertyValue obj)`
    `void` | `visit(Query obj)`
    `void` | `visit(ReferenceValue obj)`
    `void` | `visit(Relike obj)`
    `void` | `visit(SameNode obj)`
    `void` | `visit(SameNodeJoinCondition obj)`
    `void` | `visit(SetCriteria obj)`
    `void` | `visit(SetQuery obj)`
    `void` | `visit(Subquery obj)`
    `void` | `visit(UpperCase obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Visitors.AbstractVisitor

          public Visitors.AbstractVisitor()

  - ### Method Detail

    - #### visit

          public void visit(AllNodes obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(And obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(ArithmeticOperand obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Between obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(BindVariableName obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(ChildCount obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(ChildNode obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(ChildNodeJoinCondition obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Column obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Comparison obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(DescendantNode obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(DescendantNodeJoinCondition obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(EquiJoinCondition obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(FullTextSearch obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(FullTextSearchScore obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Join obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Length obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Limit limit)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Literal obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(LowerCase obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NodeId obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NodeDepth obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NodePath obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NodeName obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NodeLocalName obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NamedSelector obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Not obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Or obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Ordering obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(PropertyExistence obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(PropertyValue obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Query obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Subquery obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(ReferenceValue obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(SameNode obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(SameNodeJoinCondition obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(SetCriteria obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(SetQuery obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(UpperCase obj)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Relike obj)

      Specified by:
        `visit` in interface `Visitor`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.